nvme_write_uncorrectable(2)

NAME
nvme_write_uncorrectable - Submit an nvme write uncorrectable command

SYNOPSIS
int nvme_write_uncorrectable (struct nvme_io_args *args );

ARGUMENTS

args
    struct nvme_io_args argument structure

DESCRIPTION
The Write Uncorrectable command marks a range of logical blocks as invalid. When the specified logical block(s) are read after this operation, a failure is returned with Unrecovered Read Error status. To clear the invalid logical block status, a write operation on those logical blocks is required.

RETURN
The nvme command status if a response was received (see enum nvme_status_field) or -1 with errno set otherwise.